Bug 1303927 - [RFE] Calamari should emit events when cluster quorum changes.
[RFE] Calamari should emit events when cluster quorum changes.
Status: CLOSED WONTFIX
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Calamari (Show other bugs)
1.3.1
Unspecified Unspecified
unspecified Severity unspecified
: rc
: 2.3
Assigned To: Gregory Meno
Harish NV Rao
:
Depends On:
Blocks: 1291304
  Show dependency treegraph
 
Reported: 2016-02-02 07:34 EST by Darshan
Modified: 2017-03-28 16:18 EDT (History)
5 users (show)

See Also:
Fixed In Version: RHEL: calamari-server-1.4.0-0.6.rc9.el7cp Ubuntu: calamari-server_1.4.0~rc9-2redhat1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-28 16:18:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Darshan 2016-02-02 07:34:29 EST
Description of problem:
When a Ceph cluster's Quorum changes ( either from being there to not their or vice-versa ) calamari has to emit an event to indicate this, with all relevant info.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 5 Darshan 2016-06-03 04:15:18 EDT
Any update on this issue ?
Comment 6 Darshan 2016-06-08 02:31:36 EDT
Events are not raised when cluster quorum is lost.
Comment 10 Gregory Meno 2016-06-16 10:48:44 EDT
Bara, This does not need docs as a known issue.
Comment 13 Gregory Meno 2017-03-28 16:18:42 EDT
No plans to provide this functionality

Note You need to log in before you can comment on or make changes to this bug.